#!/bin/sh
. ./all.env
cat <<EOF > $TEMPPAT
<>: okay bounce sender
user: okay local
user@: flags=[FRM]
user@foo: flags=[FRM]
user@localhost: flags=
EOF
cd ..; ./slowmilter -Cslow.conf -Dmailfrom -X'<>' > $TEMPOUT
./slowmilter -Cslow.conf -Dmailfrom -X'user' >> $TEMPOUT
./slowmilter -Cslow.conf -Dmailfrom -X'user@' >> $TEMPOUT
./slowmilter -Cslow.conf -Dmailfrom -X'user@foo' >> $TEMPOUT
./slowmilter -Cslow.conf -Dmailfrom -X'user@localhost' >> $TEMPOUT
if `diff $TEMPPAT $TEMPOUT`; then
	echo "\t"$0:"\t"OK
	rm $TEMPPAT $TEMPOUT
	exit 0
fi
echo "\t"$0:"\t"failed
diff -c $TEMPPAT $TEMPOUT
rm $TEMPPAT $TEMPOUT
exit 1
